import { OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class GithubButtonComponent implements OnChanges, OnInit {
    private srv;
    private cdr;
    private d$;
    typeToLabel: {
        stargazers: string;
        subscribers: string;
        forks: string;
    };
    typeToPath: {
        [key: string]: string;
    };
    count: number;
    type: 'stargazers' | 'subscribers' | 'forks';
    size: 'default' | 'large';
    namespace: string;
    repo: string;
    showZero: boolean;
    get repo_url(): string;
    get count_url(): string;
    private setCount;
    ngOnInit(): void;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GithubButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GithubButtonComponent, "github-button", never, { "type": { "alias": "type"; "required": false; }; "size": { "alias": "size"; "required": false; }; "namespace": { "alias": "namespace"; "required": true; }; "repo": { "alias": "repo"; "required": true; }; "showZero": { "alias": "showZero"; "required": false; }; }, {}, never, ["*"], true, never>;
}
